#include "xanimparttrans.h"

XAnimPartTrans::XAnimPartTrans()
    : XAsset()
    , mSize(0)
    , mIsSmallTrans(false)
    , mData()
{
}

XAnimPartTrans::XAnimPartTrans(const XAnimPartTrans &aSrc)
    : XAsset()
    , mSize(aSrc.mSize)
    , mIsSmallTrans(aSrc.mIsSmallTrans)
    , mData(aSrc.mData)
{

}

XAnimPartTrans::~XAnimPartTrans()
{

}

void XAnimPartTrans::ParseData(QDataStream *aStream) {
    if (GetPtr() == -1) {
        quint8 smallTransByte;
        *aStream
            >> mSize
            >> smallTransByte;
        mIsSmallTrans = (smallTransByte != 0);

        // Parse data
        mData.ParseData(aStream);
    }
}

void XAnimPartTrans::Clear()
{
    mSize = 0;
    mIsSmallTrans = false;
    mData.Clear();
}




